Subject: RE: Please review: draft-bhatia-manral-diff-isis-ospf-01.txt

From: "Vishwas Manral" <[email-masked]>
Date: Mon, 15 Aug 2005 05:42:32 -0700

Hi Tom,

It would be great help if you could elaborate on what you said and spell
out which sections you would want to see changes in?

Thanks,
Vishwas

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Tom Petch
Sent: Monday, August 15, 2005 3:53 PM
To: [email-masked]
Subject: Re: Please review: draft-bhatia-manral-diff-isis-ospf-01.txt

I commented on the rtgwg list that I think there is a need for this
document
from the IETF but have problems with it in its current form over the
level of
detail it goes into. I want to see more spelling out of the context into
which
the detail then fits, especially with the different sets of terminology
in use;
I suspect that this as more than a change in the wording that Adrian
calls for.

Tom Petch

----- Original Message -----
From: "Alex Zinin" <[email-masked]>
To: <[email-masked]>
Sent: Sunday, August 14, 2005 5:55 AM
Subject: Please review: draft-bhatia-manral-diff-isis-ospf-01.txt

> Folks-
>
>  The following draft has been submitted to the ADs for publication
>  as INFO RFC. Please read it and send your comments to the RTG Area
>  mailing list ([email-masked]).
>
>
http://www.ietf.org/internet-drafts/draft-bhatia-manral-diff-isis-ospf-0
1.txt
>
> >                    IS-IS and OSPF Difference Discussions
> >                  draft-bhatia-manral-diff-isis-ospf-01.txt
> ...
> > Abstract
> >
> >    The increasing popularity of IS-IS [IS-IS] and OSPF [OSPF] over
> >    the years has drawn significant attention to the relative merits
and
> >    de-merits of one with respect to the other. This draft presents
an
> >    elaborate comparison between the two routing protocols to explain
how
> >    the features and functionalities of one differs from the other.
> >    Wherever applicable the differences between OSPFv2 and
OSPFv3[OSPFv3]
> >    have also been pointed out.
> >
> --
> Alex
> http://www.psg.com/~zinin
>
>

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: "Tom Petch" <[email-masked]>
Date: Thu, 18 Aug 2005 09:54:59 +0200

---- Original Message -----
From: "Vishwas Manral" <[email-masked]>
To: "Tom Petch" <[email-masked]>; <[email-masked]>
Sent: Monday, August 15, 2005 2:42 PM
Subject: RE: Please review: draft-bhatia-manral-diff-isis-ospf-01.txt

Hi Tom,

Vishwas,

I think that it is all sections :-( although I have not read them all to the
same depth.

Section 5 illustrates my problem
" On Ethernet, IS-IS packets are always 802.3 frames, with LSAP value 0xFEFE
..."

IEEE 802.3 defines two frame formats, differentiated by Type or Length in offset
+20; what I think this is saying is that no Type value is defined for IS-IS so
it must use 802.3+802.2 or 802.3+802.2+SNAP encapsulation, with a L-SAP of 0xFE

" while IP packets are either Ethernet II frames or SNAP frames identified with
   the protocol number 0x800."

True, but it makes me wonder about the audience, that they are unfamiliar with
IP, in which case

" OSPF runs over IP as protocol number 89"

probably won't make much sense without a reference to IP:-).  Giving Protocol
capitals would help, or, if you are writing for those of an OSI bent, say T-SAP
(perhaps not).

But going on, why this emphasis on IEEE 802.3, does IS-IS not run over other
link layers?  Of course it does as the later reference to ATM shows but, as you
imply but do not seem to state, help is needed at Layer 2 (eg Type or L-SAP);
are there link layers over which IS-IS cannot run (there are, admittedly
obscure, for IP)?  This first paragraph seems odd, out of place.

And you make no mention of the lack of an orthodox transport layer, another
consequence of encapsulation.  So I would start Section 5 along the lines of

"OSPF runs over IP and so can use the services that IP offers (routing,
fragmentation, ....); it does not use a conventional Transport Layer but has its
own sub-protocols to ensure reliable transmission, error correction and so on

IS-IS runs over the Link layer and so lacks these services" (I am not sure what
its subprotocols do do)

and then go into the consequences, routing, end to end MTU, virtual links, need
for an L-SAP etc, with Link Layer specific considerations - eg IEEE 802.3, ATM -
at the end.

In passing, what has TCP ACK got to do with OSPF? (I haven't seen OSPF running
over TCP:-); and I have seen the suggestion that the MTU limited the size of the
OSPF Router LSA and so the size of a network, suggesting that in some
circumstances, fragmentation was not available - I did not understand this
reference (it may have been on the OSPF mailing list) but never pursued it.

But, as I say, I think these kind of comments are applicable throughout the
document.

Tom Petch

Thanks,
Vishwas